<?php
if (!defined ("TYPO3_MODE")) {
	die ("Access denied.");
}

// Use hook in EXT:indexed_search to add tracking of search results.
$GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['indexed_search']['pi1_hooks']['getDisplayResults'] = 'Datamints\\DatamintsPiwik\\Hooks\\IndexedSearchHook';
// This hook is called after caching (for modification of pages with COA_/USER_INT objects).
$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_fe.php']['contentPostProc-output'][] = 'Datamints\DatamintsPiwik\Hooks\IndexedSearchHook->contentPostProcOutput';

// Register Piwik connect command.
if (TYPO3_MODE === 'BE') {
	$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['extbase']['commandControllers'][] = 'Datamints\DatamintsPiwik\Command\PiwikConnectCommandController';
}

// Configure plugin for Piwik opt-out
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'Datamints.' . $_EXTKEY,
    'ShowOptOut',
    array('Piwik' => 'showOptOut'),
    array(
        'Piwik' => '',
    )
);
