<?php
if (!defined('TYPO3_MODE')){
    die ('Access denied.');
}

// Register static template.
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'datamints Piwik');

// Register plugin for Piwik opt-out
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'datamints.' . $_EXTKEY,
    'ShowOptOut',
    'Piwik opt-out'
);


// Add FlexForm for the plugin.
$pluginSignature = str_replace('_','',$_EXTKEY) . '_showoptout';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignature, 'FILE:EXT:'. $_EXTKEY . '/Configuration/FlexForms/flexform_optout.xml');

// include Flexform functions
//include_once(\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Classes/UserFunc/ItemsProcFunc.php');


// Add plugin to the Content Element Wizard
if (TYPO3_MODE == 'BE') {
    $TBE_MODULES_EXT['xMOD_db_new_content_el']['addElClasses']['Tx_Datamints_Piwik_WizardIcon'] = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath($_EXTKEY) . 'Classes/Utility/Wizard.php';
}

